Help Index

Welcome to Aodix v4 Documentation
and Help

- Read Aodix Overview and Features

- Get Started

- Read Aodix Operation Guide

- Read Aodix's Interface Detailed Documentation

- Open / Print Quick Shortcut List

- Read Troubleshooting Checklist

Aodix and Aodix.com
Copyright 2004-2007 Arguru Software

Credits :
Paul Merchant for designing the official interface skins
Marc De Haar for additional graphic elements

Doc 1.7 (Aodix 4.2.0.1)


Overview

Aodix v4 Features Overview

Aodix v4 is a professional audio sequencer supporting ASIO audio and VST2 plug-ins. It has amazing editing and real-time features. You will be able to create music tracks using Aodix sequencer and external virtual plug-ins that comply with the VST standards (VSTi synthesizers and samplers; VST effects such as reverbs, filters and mastering tools).

Aodix user interface is very close to a tracker's interface, but Aodix is not exactly a tracker. Actually, Aodix v4 is the first software to combine the simplicity of a tracker with the enhancements of a professional sequencer, and much more !

Why a tracker-like interface ?
Because the up/down scrolling of such an interface gives room for a complete parameter display. So, in Aodix v4, each event appears as an object, and all parameters are displayed in a very obvious way! So, the tracker-like interface is a very good starting point for all the features implemented in Aodix, and allows ambitious enhancements, even more that what could be imagined with more common interface systems.

Why more than a tracker :
Traditional trackers only provide step operation, text edition, very low real-time support, very basic routing schemes and many limits. Aodix v4 provides a fully graphic interface with object editing features as well as text-inside-object editing (for almost any parameter)!
Also Aodix v4 is designed with a pure sequencing and hosting architecture. This is the way a sequencer is expected to work today. Sound generating is provided by external VST instruments plug-ins (VSTi synthes, samplers), and DSP is provided by external VST effect plug-ins. All these plug-ins are wired in a modular way allowing any imaginable scheme!
Besides Aodix supports pure real-time, semi-realtime, and offline modes giving you more comfort while composing and editing. Serious real-time operation is made possible with the ASIO implementation.
And, neither last nor least, the multi-pattern object-like support : you may program loops or part of your project in other patterns, and then call and scale them from precise points in your main arrange pattern.

Why much more than a common sequencer :
Aodix handles plug-in modular multi-pin routing, real-time operation, real-time offline editing (while transport is playing somewhere else), high-standard precision and object/text manipulation, in a very wise, enhanced and innovative way. Besides, Aodix supports a wide range of VST plug-ins. This is why Aodix cannot be compared to any common sequencer.

Take a look at these outstanding features:

- tracker-like pattern-based sequencer, with advanced keyboard and mouse based user
interface
- 256 patterns with virtually no length limit, 256 independent markers and cue range
- 256 tracks
- time stamped events with quantization setting with accurate positioning (up to 960 ppqn)
- intelligent step and step-free operating mode
- VST2.3 full support, supports a very wide range of plug-ins
- up to 256 instances of VST plug-ins
- modular VST wiring, supporting multi-output
- Several recording modes, including real-time, editing, and editing while playing
- VST Automation live recording
- Full midi message acknowledgment and recording, midi message filtering through mask
- Pattern calls (non recursive), with parameter scaling
- 32-bit floating point sample precision
- 32-bit floating point IEEE (multi-)file rendering
- ASIO I/O with extremely low latencies (1ms)
- Import midi format files
- Midi out supported through a supplied midi-out plug-in

and much more ...

Tracker-like pattern-based sequencer, with advanced keyboard and mouse based user interface

Aodix v4 user interface provides a layout inspired from trackers. The roll scrolls downwards, as in trackers. Editing is done using mouse and midi and/or PC keyboard. Aodix combines object and range editing for better user-friendly operation.

256 patterns with virtually no length limit, 256 independent markers and cue range

There is virtually no limit for pattern length. A whole song can fit into one pattern. Up to 256 markers can be set in a pattern, and a loop range can be defined inside each pattern.

256 tracks

Up to 256 tracks can be used. A track can hold single events as well as superimposed events (like chords)

Timestamped events with quantization setting and accurate event positioning (up to 960 PPQN). Intelligent step and step-free operating mode

Aodix v4 handles several quantization settings and modes from basic step operation to full step-free operation. According to the recording mode, event position and length are detected and written in an "intelligent" and most "natural" way.

VST2.3 full support, supports a very wide range of plug-ins

Aodix v4 complies to VST2.3 standards, and has been designed to support a very wide range of VST plug-ins (including plug-ins that are known to crash many sequencer software)

Up to 256 instances of VST plug-ins

Aodix allows you to load up to 256 plug-ins in a project, as long as your computer has enough memory installed and enough CPU power.

Modular VST wiring, supporting multi-output

Connect your plug-ins altogether using a visual routing scheme, allowing traditional send/insert scheme and any other scheme you can imagine, using all the inputs/outputs provided by your plug-ins.

Several recording modes, including real-time, editing, and editing while playing

Aodix has several editing and recording modes that you can toggle or combine (common, and less common modes).

VST Automation live recording

In addition to midiCC commands, Aodix is capable of recording VST automation events, that you can trigger with your mouse or with a knob/fader on your midi keyboard. Aodix allows you to assign a knob/fader of your midi keyboard to one or more VST parameters, in one ore more instanced plug-ins.

Full midi message acknowledgment and recording, midi message filtering through mask

Aodix is capable of understanding all midi messages, send them to the plug-ins, and record them. Aodix can filter any kind of messages, according to a fully configurable midi message mask.

Pattern calls (non recursive), with parameter scaling

You may play part of a pattern from another one, just as if it were a simple event, transposing, and scaling velocities.

32-bit float sample precision and IEEE (multi-)file output

Aodix v4 uses the 32-bit float IEEE file format for rendering audio. This format is 32-bit floating-point, mono or multi-channel, and supports a wide range of sampling rates.

ASIO input/output with extremely low latencies

Aodix v4 uses ASIO and achieves very low latencies (in our tests on fast computers : 1ms).
Support for soundcards with no ASIO driver can be obtained by installing a third-party ASIO emulator/wrapper (not supplied).

Import midi format files

Aodix can import midi format files in two different ways, in order to best fit the needs of the user.


Getting Started

Getting started : a few steps to have Aodix running

Before beginning to work with Aodix v4, please make sure that you have the following items :

- Aodix v4 properly installed
- at least one VST instrument, installed in a folder where you keep all your VST plug-ins
(plug-ins may be stored in subfolders of this folder).
- audio card properly installed and running, with operational speakers, and ASIO driver
(native or emulated).
- if you plan to use a midi keyboard, have it connected and turned on before running Aodix.

If the list is successfully checked, you can now run Aodix v4 for the first time and have it properly configured.

Open Aodix

Just click on the Aodix link in the start menu folder item where it should be according to installation. Usually :
Start Menu > Programs > Arguru Software > Aodix

Aodix v4 interface
Here is a brief description of the interface. All items will be explained in details in the Interface Detailed Documentation section.

The Interface has 9 sections and 4 menus :

Sections :

Audio Master : transport controls, playing/recording/scrolling behaviors. Playing Time and midi-point counters, CPU usage. Display of Block Size value. You can set the following basic items : Tempo, Time Signature, PPQN.

Sequencer Edit: Editing position counters. Total midi events counter. Quantize, midi channel, octave reference and Midi Mask settings. Zoom, Velocity and Pre-release settings. Note/Pattern Mode input. Select step-like operation, Overwriting events on/off. Switch Sequencer/Routing views.

VST Instances: load VST, select, mute and bypass instance. Unload instance (delete), import/export programs and banks, browse programs, open plug-in's native interface.

VST Parameters: parameter list of the plug-in loaded in the selected VST Instance. Tweak parameter, assign a physical controller to a parameter.

Information : displays information.

Vumeter: Master Output pin multi-vumeter

Main view: Main area displaying the Sequencer (patterns) or the Routing view (Instances and Wires).

Menus :

File : file operation (new, open, save, import midi, bounce), configuration, exit.

Edit : clipboard operations (cut, copy, paste, select all, undo clipboard operation, quantize notes, interpolate values)

Help : this help file, about Aodix...

1. First of all, to have Aodix running, you must run the "File > Configuration" Menu :

Select "Configuration" in the "File" Menu, and click on VST Path 1 item. If the path is not set, browse to the correct VST folder path. Aodix will access to all plug-ins in that folder, and subfolders recursively. So you may install your plug-ins in different subfolders of that VST Dir. Aodix handles up to 4 folder roots.

2. Then, configure your ASIO driver :

Just click on the "Current Driver" gadget and select the driver you want. Aodix supports ASIO only. If your soundcard manufacturer does not provide ASIO drivers, you may use emulated ones (like ones installed by some audio or video software, or the Free ASIO4ALL driver).
If a warning mentioning an ASIO error appears, please close it and disregard it. This happens when you configure the current driver for the first time.

3. Select your keyboard type and check the "Instance To Master Autolink" option

In the right pane of the configuration window :

Select your keyboard type, so you get proper keyboard operation.

Check the "Instance To Master Autolink" option so you may start easily. You may find it better not to select it when you get used to Aodix.

Then click on the "Apply Changes" button (in the left pane).

Reminder : if a warning mentioning an ASIO error appears, please close it and disregard it. This happens when you configure the current driver for the first time.

4. Assign Master Output pins to audio outputs

Switch to the Routing view : use the button showing the name "Sequencer" in the "Edit" Section. The button will toggle to "Routing".

Locate the Master Output object.

Locate now the pins on the top of that object. Some are blue, some are green. Click on the blue ones to check that they are properly assigned to an output. For instance, if you have a two channel (Left, Right) audio card, the pins are as follows :
audio Left , audio Right, audio Left, audio Right, audio Left, ... but sometimes these outputs are not labeled as it should be (like in t he example below)...

5. Now what you need is a VST Instrument to load
In "VST Instances" Section :

Just click on any empty slot in the "VST Instances" list, and you will see a popup list that reflects the structure of you VST Dir. Select an instrument from there.

When the instrument is loaded, it will be automatically connected to the master output, because the option "Instance to Master Autolink" has been checked in the configuration window.

Note : There is NO instrument provided with Aodix V4. There are hundreds of free VST Instruments that you can get over the internet. There are thousands you can purchase at a very reasonable price.

6. Make sure that the instrument plug-in name appears in the "VST Instances" list, and that it is highlighted

Begin typing on your PC keyboard or midi keyboard, and your instrument begins producing sounds.

If you use a midi keyboard with an on/off button, make sure that it has been turned ON before Aodix is started.

Now that Aodix is properly configured, please consult the Operation Guide Section of this help.

Aodix Registration and Unlocking

If you have purchased an Aodix License, we thank you very much for your interest in Aodix, and for supporting us.
You don't need to unlock Aodix, you will receive a full version in your mailbox.
Keep this data in a safe place, and don't spread it. This full version has been sent to you personally.

If you wish to purchase a license, please browse to our website www.aodix.com and check our Shop section.

If you use the demo version of the software, you will not be able to save your work.


Operation

Aodix Operation

This section guides you in the process of creating, developing and finishing your project
Please open the Quick Shortcut List and print it for quick reference

Please check the following items :

- Aodix is installed and running
- that there's at least one VST Instrument installed in a folder (where VST plug-ins should be)
- that this VST folder is properly specified in the Aodix Configuration Menu
- that the PC keyboard type is properly specified in the Aodix Configuration Menu
- that the ASIO driver is properly specified in the ASIO Configuration box
- that your ASIO subsystem is properly installed and running (read the audio card's docs,
or use an ASIO/WDM wrapper if your sound card don't support natively ASIO)
- that the Master Output pins in the "Routing" view are assigned to audio outputs.
- that you have the Quick Shortcut List printed for quick reference

All those steps are detailed in the Getting Started section.
If all is ok, you may go further...otherwise, please read the Troubleshooting Checklist.

1. First step : loading plug-ins to instance slots and wiring

Decide about what VST instruments and effects you are going to use. First, let's worry about VST instruments.
Switch from "Sequencer" to "Routing" view (Seq. Edit section), point mouse at any empty slot of the VST Instance List, and click. If everything is properly configured, under the mouse you will see a small tree listing that reflects the structure of your VST Plug-ins folder. Select the plug-in you wish to load from there.

As soon as the plug-in is loaded, it will appear as a box object (since we are looking at the "Routing" view. If it is not automatically wired to the Master Output, draw the wires as explained in the "Routing" view section.

In the case of a multi-output VST instrument, every output pin will be sequentially wired to a pin of the Master Output. Be careful because if some used Master Output pins are not assigned to audio outputs, you could hear no audio. So make sure they are assigned to audio outputs, or change the way the wires are connected...

We recommend that you begin with simple schemes.
Schemes including VST effects are explained in Step 4 : Mastering and Finishing Project .

Now that basic wiring is ok, you may begin to record your tracks !

2. Step 2 : recording first tracks

2.1. case 1. load a midi project
Use the importation function from "File > Import MIDI File ..." menu item.
You will be asked if you want to spread channels over several instances. Please report to section Menu Items.
Be careful : the file you import will be passed through the Midi-Mask. If you want a full import, just make sure that all the flags of the Midi-Mask are set ! (refer to the Edit section).
Also, Aodix will import the PPQN setting from the file. Do not change it.

2.2. case 2. begin recording from scratch
First decide of the PPQN value (Audio master). It is not recommended that you change it in the middle of the progress of your project.
Default is 192. And we strongly recommend that you leave it to 192 !
This is a setting for advanced users, and is intended to increase/decrease midi precision.

Set project's Time Signature (Audio Master). The most used signature is 4:4.

Set project's Tempo (Audio Master). If you will only use one tempo for the whole project, then you just need to set it once. But, if you will be changing it within the project, then you will need to set it and to record it as automation, at the beginning of the tune, and whenever it is intended to change (read Note 2 in the VST Parameters section).

Now, let's set quantize value (Edit section). Use the default 16th setting, or any other adapted to your project. You may change this setting whenever you want. Sometimes when recording you may like to set it to "free". The quantize setting only acts as a grid to which inputted events stick.

When composing your tracks, you will usually switch between these operating modes (Audio Master) :

With REC on :

Live on+ Play : traditional "online" mode where you watch timeline scrolling and
record at the transport cursor position.

Live off + Play : special offline mode in which you record at any position you want (static)
meanwhile the song is playing/looping at transport position somewhere
else. It means that the transport cursor and the edit cursor are no longer
the same cursor.

STOP (live on or off): offline mode with transport stopped. It's the classical editing mode for
programming (typing in notes).

Press "loop" if you wish to play and record a loop inside the pattern.

Switch the "Over" button off (Edit section) if you wish to record more than one event at the same time (like chords). Read about other buttons in the (Edit section). We recommend you leave "Step" on, in the beginning. Then you may find it useful to remove it.

3. Step 3 : Arranging Project

3.1 Record, type-in notes and arrange

Record your tracks by combining all possibilities (online/offline, play/stop, step on/off, etc).

Use your midi keyboard and your PC keyboard.
If operating with PC keyboard, you may find changing the "Pre-release" setting useful when programming a track.
This setting is the value (in midi points) by which the event will be shortened. It has no effect on events incoming from a midi keyboard.

For arranging, you need to read carefully all the Sequencer section.

You may find it useful to select a block and copy/paste it. For instance, for drum programming, you will probably worry about one measure, then replicate it to all following measures. Afterwards, you would modify some events (move/resize) of some measures. Moving and resizing objects are quantize-free operations, because they are intended for "humanized" results.

You may also use the special event "jump" (key 1). This event allows you to jump over the area defined but the "jump" object (which is resizable). This is useful if you wish to shorten a measure.

Read more in the Detailed Interface Documentation, Sequencer section :
Sequencer
Sequencer : Track Gadgets
Sequencer : Cues and Markers
Sequencer : Mouse operating modes
Sequencer : Browsing
Sequencer : Pattern Arrangement
Sequencer : Event Syntaxes

Save your project several times while composing (Menu Items). Some VST plug-ins can generate instability and crash, even though they are very good and professional.

When you achieve something consistent, you can think of modulating some parameters (volumes, filter cut-offs etc..).

3.2 Tweak parameters

In order to tweak a plug-in's parameters, you may proceed using midi events if the plug-in you are using supports midiCC (midi Continuous Controllers), or using VST automation (supported by almost all plug-ins).

Pros and cons of both methods :

MidiCC recording : what you actually record is the midi event incoming from your keyboard. So you need a midi keyboard for that. Then this midi event is interpreted by the plug-in only if the plug-in supports midiCC. If this is the case, the plug-in will not always allow you to map the knobs as you wish. But if the plug-in allows it, then it uses some sort of internal matrix that you can edit. What happens if the matrix is modified for another project ? What happens if you play the tune on another computer which has the same plug-in but not same matrix ? You may not be able to play your tune as it is intended. The only advantage of this method is that it is not subject to audio driver latencies, which in all cases is extremely low in Aodix.
=> Record midiCC : just press REC and move the knobs and faders on your midi keyboard. Of course, in Midi Mask, you must set the "B" flag.

VST automation : first, unlike midiCC, you can record VST automation with your midi keyboard and with your mouse !! Then, recorded VST automation events carry the accurate information of the plug-in's parameter that is being modified. There is a subsystem in Aodix that allows you to assign a physical knob/fader of a midi keyboard to a parameter of your plug-in. Even though you change the assignments later, the recorded automation events will have exactly the same meaning. In addition, unlike midiCC, you may assign a physical knob/fader of your midi keyboard to one or many parameters in one or many plug-ins at the same time.
=> Record VST automation : first unset the "B" flag of the Midi Mask to avoid midiCC interference. Then press AUT. Open the editor of the plug-in (interface) and move buttons with your mouse. The movements are recorded. If you wish to assign a physical knob/fader of your midi keyboard, refer to section : Interface Detailed Documentation - VST Parameters

3.3 Use Pattern Calls

Although you may write your project as one single sheet and ignore this feature, we suggest you try it once you have good knowledge of Aodix operation.

A pattern call is intended to allow you use part of a pattern as a single event in another pattern.

For instance, if you are working on pattern 00, switch to pattern 01, and arrange a loop containing one measure of drum/percussion events. If this measure does not begin at 000:0, then you will need to create a marker at the beginning of the measure.
Now return to pattern 00. Set "Mode" value to "Pattern" (Edit section). Press "REC" button.
Press any letter key on our PC keyboard. This will create a "Pat" event. You will need to browse to the first parameter and replace it with the number of the pattern that is being called (in our case, it's "01"). Then browse to the second parameter and type the number of the marker from which you want to begin the call (or "00" if the measure is located at 000:0). Then set the two last parameters to scale the called events. You may move and resize the pattern call.

Cues, jumps and Stop Marker from the called pattern are ignored in a pattern call event.
Tempo changes from the called pattern are applied to global tempo.

Read more about pattern calls in the Sequencer : Event Syntaxes section . You may create as many areas to be called in a pattern as long as you have enough markers to define their beginning point (point 000:0 and 255 markers you can place anywhere else).

Note 1: the Start/End Cues and the Stop Marker that are part of a called area are ignored in the pattern call.

Note 2 : you may not use pattern calls recursively : if the area you are calling contains itself a pattern call, the latter will be ignored.

4. Step 4 : Mastering and Finishing project

We recommend that you finish the arrangement with a Stop Marker, wisely positioned some measures after your the event, so that the audio stream can decay before stop.

It is time to add some effects to your project in the VST Instances List, like delays, reverbs, equalization, compression, and more...

Add as many effects as you need and wire them so as the finally converge to the Master Output. Do not create circular references. You may decrease the gain of a wire but clicking on the arrow and dragging the slider down.

Watch the CPU level (Audio Master), since some plug-ins have high CPU load consumption.

Before rendering, You should play the whole song for mastering purpose. Add some mastering effects at the bottom of the global routing scheme. You may use the "Stardust" plug-in supplied with Aodix.

You may also find that it is wiser to chose and load mastering plug-ins at the very beginning of a project. Keep this in mind for your next projects !

Don't forget to save your work.

5. Result : Rendering project

Now it's time to write a file that you can later convert/encode to another file format with your audio editing software.

Use the "File > Bounce..." menu item (refer to section Menu Items).

If you choose to bounce Cue Range, then Aodix will render the loop within the cues.
If not,
if there is no Stop Marker in the pattern, Aodix will not even begin rendering your file.
if there is a Stop Marker, then Aodix will begin rendering your file from position 000:0 and
will stop rendering when the Stop Marker is reached. You may also stop prematurely by
clicking on "Stop".

The output file is a multi-channel 32-bit float IEEE file or a set of mono-channel 32-bit float IEEE files (to chose, tick or untick the "Multifile" checkbox).
Most audio editing applications import stereo (2-channel) 32-bit float IEEE files. Other import any number of channels (for details, refer to section Menu Items).
.

This format has been chosen because it doesn't degrade the quality of Aodix processed data.


Detailed Doc

Aodix v4 Interface Detailed Documentation

Please read the Overview and the Getting Started sections in order to have Aodix v4 running properly, before reading this section.
This section describes in detail all the interface elements.

Contents :

1. Audio Master section
2. Sequencer Edit Section
3. VST Instance List
4. VST Parameters
5. Info, Vumeters
6. Sequencer (all objects and behaviors, mouse and keyboard, arrangement and syntaxes...)
7. Routing
8. Menu Items

Aodix Interface

1. Audio Master section

Big counter ---:-:--- : displays absolute midi-point counter.
Counter hh:mm:ss : displays hh:mm:ss issued from midi-point conversion. Be careful, tempo
changes inside a project make this counter irrelevant.
Counter % DSP : displays CPU load for DSP and sequencer processing.

Tempo : sets tempo for global project, or modify tempo, recordable with Aut.
Time Sig : sets time signature for the whole project 4:4 or 3:4.
PPQN : sets the amount of Points Per Quarter Note (or points per beat). 192 is usually more
than enough.
Block Size : displays system processing block size (in samples). To change it, open your
ASIO control panel. Your soundcard manufacturer provides you with a simple
way to access it. You may also open the control panel by clicking on the
"ASIO Drv" button (see "Configuration" section : 5).
We recommend that you start with 512 samples, decrease it until you hear
clicks while playing sounds. Some systems can handle 64 easily. Some others
will run fine with 256 or 512.
Now if your control panel displays milliseconds instead of samples, then
begin with a value around 15ms and tweak it using the same method.

Cycle (F3) : toggles cycling. If set, transport will loop inside the Start/End cues.
(Start, End : see "Sequencer" section).
Live (F4) : toggles live mode. If set, you will record events at the transport scrollbar.
If not set, you will record events at the static cursor position (see hints).
Stop-Wrap (F5) : if set, when you Stop transport, the cursor will position exactly at the
time index you have actually stopped (So you can resume from this exact
point).

Play (Spacebar): transport play from current position, can be used with any REC/AUT
combination.
Stop (Spacebar): stop player or bouncer.
Rec (F1) : press to record midi events (read about "Midi Mask" in Edit section).
Aut (F2) : press to record automation events of VST parameters and tempo changes.

Hint 1 - PLAY REC AUT
PLAY + REC : record midi events while playing (according to the "Midi Mask").
PLAY + AUT : record only VST parameter automation events and tempo changes.
PLAY +REC + AUT : record midi (according to "Midi Mask") and VST automation.

Hint 2 - Live on/off operating modes (with PLAY and REC/AUT) :
Live on : It's the traditional online mode where you watch the transport scrolling
and record at the current position of the transport scrollbar.
Live off : special mode in which you record at any position you want (static)
meanwhile the song is playing or looping somewhere else, that you
see, or don't see. It's an offline editing mode (even though transport
is playing).

Hint 3 - Offline editing modes :
 An offline mode is one of these two modes
- Live off + Transport Play
-Transport off (Stop)
Offline editing is about recording events when NOT playing; or recording events when
playing and "live" is set to "Off".
In offline modes, the "Step" and "Pre-release" settings become very important (see Edit
section below). These modes are adapted to intensive keyboard and mouse operation.

2. Sequencer Edit Section

Big counter ---:-:---: displays absolute midi-point counter.
Counter hh:mm:ss : displays hh:mm:ss issued from midi points. Be careful, tempo changes inside
a project make this counter irrelevant).

Counter ##### Ev. : displays the total number of events in the project.

Step (F6): if set, while editing, the cursor automatically jumps to the next timeline position,
depending on how much the value of "Quantize" is.
Over (F7) : if set, a recorded event will overwrite (replace) an existing one at the place
you are recording.
If not set, you may record as many events as you want at a same position.
Switch "Over" off if you wish to record chords.
VST Routing/Sequencer (F8) : toggle the sequencer/routing view in the main view area.

Quantize (Ctrl+1/2) : sets quantize value, including "free" for quantize-free operation.
Channel (Ctrl+3/4): sets midi channel for PC keyboard operation from hex 0x00 (#1)
to hex 0x0F (#16).
Octave (Ctrl+5/6) : sets octave reference (also sets the center of the pianoroll).
Zoom (Ctrl + Mouse Wheel) : sets display zoom. Reset to default by double-clicking on it.
Mode : sets "Note" to record events, and "Pattern" to enter pattern calls
(for PC Keyboard operation)
Velocity : sets velocity for PC keyboard operation (0=random). Reset to 0x64 (=100 decimal)
by double-clicking on it.
Pre-Release : acts as a note length reduction (points), for recording in offline modes only.
Reset to default by double-clicking on it. (Read Note below). Also, be careful
that it is always less than the Quantize value (in midi points), except in some
special cases.
Midi mask : this mask is taken into account when using a midi keyboard, or importing a midi
file. In the case of an incoming midi message from keyboard, the message is
acknowledged and recorded if its type is set in the Midi Mask. To set/unset types,
click on the "Midi-Mask" button. Tick the types that you want the input system
to acknowledge, and remove tick from those that you wish to be ignored :

8 : note-off (recommended to be set)
9 : note-on (set, remove for safety if you only want to use knobs/faders on your
midi keyboard)
A : Aftertouch (usually set)
B : MidiCC (set, remove for pure VST automation operation, see section 4 below)
C : Program Change (usually set)
D : Channel Pressure (usually set)
E : Pitchbend wheel (set, remove if the wheel is too sensitive so it sometimes get
accidentally triggered)
F : System Exclusive (usually not set, since there is no point in acknowledging such
messages in Aodix).

In the case of a midi file import operation, the imported midi events will be
acknowledged or ignored according to the "Midi Mask" configuration.

Note about note length and Pre-release (editing offline) :
If playing, the event length acknowledged or recorded is the real-time length, whatever
Quantize and Step settings are. The Pre-release value is taken into account only in
offline-modes and when recording notes (not patterns). Pre-release is the amount of points
that will be removed at the end of the event just before recording it.
How to record offline :
set the offline mode you wish to work with, press on the key you wish to record,
then keeping it down, move the timeline downwards (see Sequencer section) until you
reach the wanted "end of event" position, then release the key.
The resulting recorded length will be equal to key release position 'minus' the Pre-release
value expressed in midi points.

3. VST Instance List

To load a VST plug-in to an empty instance slot, just click on the slot, a popup will appear and will allow you browse the plug-ins found in your "VST Folder" directory structure (see Menu Items section for the configuration).
To mute an instance (i.e. no audio out from the plug-in), click on the "M" button. Remove mute by clicking again.
To bypass an instance (i.e. temporarily rout plug-in's inputs directly to it's outputs), click on the "B" button. Click on it again to remove bypass.
To open the plug-in's interface, just double click on the instance slot where the plug-in in loaded.
To unload a plug-in, click on the Instance button, and chose: "Delete Instance...", or go to the Routing view section, and hit the Delete key of your keyboard.

Clicking on a slot selects the instance.
Clicking on a slot while pressing Ctrl key selects the instance and scrolls the routing view so as it appears in the center of it.

Instance ID numbers are expressed in hexadecimal values as they will appear in an event, please refer to Event Syntaxes in the Sequencer section.

Instance ##: shows and sets the current instance; you may browse instances with the
small arrows, delete instance, import/save programs/banks, open the plug-in's
editor if available by clicking on the "Instance##" button.
Program ###: shows and sets the active program. Use small arrows or click on the
"Program" button to select program from the whole list. Click on the text box to
rename program (for some plug-ins, you need to save the project in order to
validate the new program name).

4. Instance Parameters

When you select an Instance, this window will display the list of the VST parameters of that Instance (if the loaded plug-in allows it). You read the parameter's index number, name, value in digits/text, and value on a scaled knob. There is an empty column just before the small knobs. It will display assigned physical controller numbers.

You may tweak a parameter inside this list : just point your mouse on the knob of the parameter, click and move mouse up/down. To tweak slowly, hold the Ctrl key while moving mouse.
If you find it difficult to locate a parameter because the list is huge, just open the plug-in's editor (interface), where you should locate the desired knob easily. You may tweak it from the plug-in's interface, using mouse. When you do so, the parameter will be automatically displayed and highlighted in the VST Parameters list. So you can close the plug-in's interface, and continue tweaking the parameter from the VST Parameters list.

Then, you can also assign any controller on your midi keyboard to a parameter : Just double-click on the desired parameter : the "rec" indicator under the information section appears. It means that it's ready to learn.

Move slightly the physical controller (knob/fader) on your midi keyboard that you wish to assign to the highlighted parameter. Aodix will sense this move. The "rec" indicator disappears, which means that the physical controller that you moved is now assigned to the highlighted parameter. You may read now the number of the assigned physical controller in the column that was initially empty.

If you have just initiated the learn process, and you wish to cancel it : click once more on the parameter without moving any knob.

If you wish to un-assign a controller off a parameter, just double-click on the parameter in order to enter learn mode and hit the Delete button on your PC Keyboard.

Note 1 : you may assign a physical controller to several parameters in the same or different instances.

Note 2 - Recording the parameter changes using automation : on most VST plug-ins, you will be able to record automation using the VST Parameter Automation. For that, you just need to turn "Aut" on (in Audio Master section), then move with your mouse the knob that represents the parameter you wish to record in the VST Parameters list of the plug-in's editor. If you have assigned a physical controller on your midi keyboard to this knob, you can also record the moves turning "Aut" on, and moving the physical controller. In that case, you need to be careful with interference from midiCC mapping in some cases.
To make sure that no such interference happens with midiCC, you must use the Midi Mask in the Edit Section, and remove tick from "B".
 With "Aut" on you can also record Tempo setting changes (Audio Master section)

Note 3 - MidiCC for controllers : some VST plug-ins have internal midi Continuous Controller mapping for their parameters. These plug-ins can directly interpret incoming messages generated from a physical controller on a midi keyboard. In this case you may use this native mapping instead of using the automation. These commands just need "REC" to be turned on in order to be recorded.
Unlike the "Aut" automation recording, the midiCC recording only records midi messages incoming from the midi keyboard, and no information directly related to a plug-in's parameter. So if the internal mapping of the plug-in is to be changed afterwards, and depending on the way the plug-in handles its mapping matrix, the recording could be easily ruined. So for that reason, you may prefer to use the "Aut" automation, and disable the midiCC message acknowledgement by changing the Midi Mask.

5. Info and Vumeters

Master Output Vumeter : multi-vumeter showing levels at Master pins.

Information slots : these are reserved for future developments...

Project Info :
 Project : type-in the name of your project (which is the name of the project file).
Comment : type-in a short comment.

MSG :
This displays the byte values of the incoming midi message

6. Sequencer

To change current pattern, click on the small arrows next to the pattern number. To give a name to the pattern, just type it in the box under the pattern number.
To scroll the pattern, you can either use the scroll wheel of your mouse, or grab with your mouse any position in the column of hh:mm:ss indexes.

6.1. Sequencer : track gadgets

Click on the M button to mute/unmute track.
Click on the S button to solo/unsolo track.
You may give a name to the track by typing it in the box where "---" appears.
The midi event sensor is triggered by a midi event.

6.2. Sequencer : pattern, timeline, cues and markers

Pattern gagdets :

select the pattern with the arrow gadgets. This pattern is called "Arrange", you may rename it.

Timeline, cues and markers :

This column displays the timecode of the pattern. You may place markers here.

S tart/End Cues : these are the cues for looping. When "Cycle" is engaged in the Audio Master section, the player will loop within these cues. To move cues, just click on their label and drag up/down.
Markers : you can define up to 255 markers in a pattern. The markers allow you to mark positions for better pattern reading, and are used as the references in pattern calls. The markers will be labeled sequentially from 0x01 to 0xFF (hexadecimal). To create a marker, just double-click in the left-most column (the one showing ---:- indexes). To move a marker, just click on its label and drag it up/down. To delete a marker, just double-click on its label.
Stop Marker : the Stop Marker makes transport and bouncing stop when the marker is reached. To create the Stop Marker (only one is allowed in each pattern), press Ctrl and double-click in the left-most column (showing ---:- indexes). To remove it, double-click on its label. You must create the Stop Marker before using the "Render to Stop Marker" feature (Menu Items section).

Note 1 : Cues and markers positioning is sensitive to the Quantize setting in Edit section.
Note 2 : when using pattern calls, the Start/End cues and the Stop Marker that are located inside the pattern being called are ignored.

6.3. Sequencer : mouse operating mode - Block / Object

In each track, there are two areas : left area and right area. The mouse pointer looks different whether it is pointing to the left or the right area or the track.

The left section is for block operating mode :
if you click in this section, the sequencer will understand that you want to select a block.
With a selected block, you can copy block (Ctrl+C), cut block (Ctrl+X), and paste block at cursor position (Ctrl+V).

The right section is for object operating mode :
if you click in this section, the sequencer will understand that you want to move this object or resize it.
- To move, just click anywhere in the right section, except at the object bottom, and drag the
object.
- To relocate an event, i.e. move it across tracks, but not changing the time, press and hold
Shift, while dragging from the right section (useful if you have superimposed events).
- To resize an object (only possible with note events and pattern calls), click inside the
right section at the bottom of the object, and drag up or down.

Note 1 : block operation is sensitive to the quantize setting.
Note 2 : move/resize does not take into account the quantize setting.

6.4. Sequencer : browsing

Here are the mouse and keyboard commands or operations for browsing. For reference, we suggest you open the Quick Shortcut Guide and print it.

elementary browsing : left, right, up, down arrows.

Change pattern : click on the small arrows next to pattern number, or use Numpad + and - keys.

Move cursor to directly to another track : Tab or Shift + Tab.

Move cursor 8 tracks to the left/right : Ctrl + left/right arrows

Fast scroll pattern up/down : page up/page down. You may also use the mouse : for accurate positioning, grab the timeline column displaying hh:mm:ss indexes, and drag it up/down. For inaccurate positioning, use you mouse wheel.

Fast move to 000:0 or to last event in pattern : Ctrl + page up/ page down.

Move cursor accurately to previous event / next event : Ctrl + up/down arrows.

Move cursor to Start/End Cues : use Home and End keys.

Position cursor accurately with mouse : double-click at any position avoiding the right section of an object. The cursor will move to the note header of that exact position.

Note : up/down browsing is sensitive to the quantize setting.

6.5 Sequencer : Pattern arrangement

Basic operations :
- Del : clear event, leaves the place empty.
- Insert, Backspace : insert/delete event, moves all following events in the track
one step down/up.
- Ctrl + Insert/Backspace : insert/delete line, moves all following events in the pattern
one step down/up.

Block operations :
To select a block, point the mouse at the point where the upper-left corner of the block would be. Make sure you are pointing in the left-half of the track. Click, and drag until your block is drawn. Release mouse. The block is marked. If you want to mark ALL the events inside the pattern, just press Ctrl + A. If you want to mark the block only using tour keyboard keyboard, use Ctrl + B/E on upper-left/bottom-right.
- Ctrl + C/X : copy/cut marked block
- Ctrl + V : paste the block at current cursor position
- Ctrl + F1/F2 : -/+1 value change of the byte where the cursor is for all the block
It is intended mainly for block transposition (cursor must be set on the note
name or the key byte) and velocity modification (cursor on velo byte).
- Ctrl + Q : rearrange notes in block according to quantize setting

Setting Markers and Cues :
- Ctrl + Home/End : set Start/End Cues
- double click in leftmost timeline column : set/delete marker
- Ctrl + double click in leftmost timeline column : set/delete the stop marker

Object operations :
To manipulate events as object, click on the object's right section. Hold click and :
- drag object : move object
- Shift + drag object : move object horizontally (lock vertically)
- Ctrl + drag object : move object quantize free
- at object's bottom + drag up/down = resize object (length)
- double-click : delete object

Special keys :
 - 1 = writes a resizable jump event.
 - Enter = writes a program change command. This is a midi 0xC message, and
param1 = new program (in hex). Read about Event Syntaxes.

Parameter editing :
Every single parameter of an event is text-editable.
Just browse to it, use Ctrl + up/down arrows to stick to the event, and left/right arrows to reach the desired figure. Now type-in the new value with your PC keyboard.

Typing-in note events and pattern calls :

- With your midi Keyboard, you will only be able to enter note events, and that needs no
additional explanation.

- With your PC keyboard, you will enter note events or pattern calls according to the "Mode"
setting in the Edit Section.

Note events with PC keyboard :your keyboard type must be set properly in the
File > Configuration menu. Of course, "Mode" in Edit section must be set to "Note".

Note layout on PC keyboard :

Entering Pattern calls : "Mode" in the Edit section must be set to "Pattern".
Just enter the pattern call with any letter key on the PC keyboard, then specify the
correct pattern number (the one being called) by positioning the cursor to the first
parameter next to the "Pat" header, then specify the right marker from which the called
pattern will begin playing (see "Sequencer : Event syntaxes" section).

6.6 Sequencer : Event syntaxes

Blue event = note event
syntax : NNN II 00 KK VV

NNN = note name
II = Instance number (hex)
00 = zero byte (not used)
KK = key (hex)
VV = velocity (hex)

Red event = Automation
syntax : Aut II NN NN VV
 II = Instance number (hex)
NN NN = VST parameter Number (hex)
VV = value of the parameter (hex)

Light-brown event = generic Midi Event (mostly used for program change)
syntax: Mid II MC P1 P2

II = Instance number (hex)
MC = M midi message number and C midi channel (both hex)
e.g. C0 is a program change
P1 = param1 (hex)
P2 = Param2 (hex)

In detail (according to the value of M) :

M = 8 : note-off command : Aodix doesn't show these commands, but it is materialized
by the object's bottom.
M = 9 : note-on command : P1 is key, and P2 is velocity
M = A : aftertouch : P1 is key, and P2 is touch
M = B : midi CC : P1 is the controller number, and P2 is the controller value
M = C : program change : P1 is the new program. P2 is nothing
M = D : channel pressure : P1 is pressure, P2 is nothing
M = E : pitch bend : P1 is lsb (7bit), and P2 is msb (7bit)
M = F : System (non-musical) messages such as keep alive ("Active Sensing") etc...

Green event = Pattern call
syntax : Pat PP MM TT VV
 PP = pattern number (hex)
MM = marker number (hex) (playing the called pattern begins at that marker.
00 means that the called pattern will begin playing at 000:0
TT = transposing (hex) (0x80 = no transpose)
VV = velocity scaling (hex) (0x80 = no scaling, 0x40 = 50%... etc)
Cues, jumps and Stop Marker from the called pattern are ignored in a pattern call event.
Tempo changes from the called pattern are applied, they affect the global tempo.

Note : each track can be loaded with any kind of events at the same time, even superimposed and overlapped.

6.7 Pianoroll

Pianoroll is a useful feature, you may easily see the chords as they are recorded in the same track. The pianoroll displays the note events of the selected track. you may resize it to see more octaves. The view center of the pianoroll is the octave selected in the Seq. Edit section.

7. Routing

Access that view by clicking on the "Routing" button in the Edit section. That button toggles Sequencer and Routing.

Use this view to load/unload plug-ins and draw connections between instances, and also to configure the Master Output pins.

To load a plug-in, just double-click anywhere in the empty background. The plug-in will load in the first instance available sequentially. To unload a plug-in, just click on the plug-in box object and hit Delete on your keyboard.

If your routing view is out of range, you'll need to click on a used instance slot in the Instance List, while holding the Ctrl key. This will scroll the view so as the selected instance gets within viewing range.

7.1 Drawing wires

When you load a VST plug-in in an instance slot, the VST plug-in appears as an object with red gadgets at the bottom of the object (outputs) and blue gadgets (inputs) when available.
All plug-ins outputs are default routed to the Master Output object if the "Instance to Master Autolink" option is selected in the configuration window. Which means that all plug-ins' outputs are connected to the Master Output connectors, which are rendering pins (blue or green).
You may rout any plug-in's output to any other plug-in's input. But circular reference is not allowed (it can crash the software).
All connections must eventually converge to the Master Output.
To draw a new wire, click on the output you want to issue the wire from, then drag the wire extremity until you reach the aimed input, or Master Output pin.

To remove a wire, just double-click on the arrow in the middle of it.
To change the gain of a wire, just click on the arrow in the middle of it, and move the slider.

To draw or remove all wires related to same instance, use Ctr + click and drag (draws all), or Ctrl + double-click on first on arrow (removes all).

Note : you may issue several wires from the same pin !

7.2 Configuring Master Output pins

These pins are rendering pins. They define the "mixing-points" to be rendered. How they are rendered is explained in the Menu Items section.

Before configuring the Master Output pins, note that some of them are blue, some of them are grey, and one of them is highlighted.
(Remember, to see this, you must be viewing the "Routing" view)

Blue means that the pin is currently connected to audio.
Grreen means that the pin is currently NOT connected to audio.
Highlight is just here to follow your clicks. It helps when configuring all your pins one-shot.

In order to configure a Master Output pin, just click on it, and select the audio channel for that pin. Chose "No Output" if you want no audio for this pin.

7.3 Configuring and Using Master Input Pins

Master Input pins are real-time ASIO audio inputs, and work in a similar way to Output pins, except that they are set in two rows.

Upper row : click on an upper pin to define it as an ASIO audio input of your soundcard.
(pins connected to audio appear darker than the others)
Lower row : use the related lower pin to draw wires (click + drag)

Note : no audio from the Master Input pins is rendered in a "bounce" operation, since bouncing (rendering) is not real-time (in order to benefit from full CPU power).

7.4 Object pins

Audio inputs and outputs are to be connected with other instances and Master input and output. Do not create circular references.

Midi inputs and outputs are to be connected with other instances. It is intended for advanced usage in very rare cases.

Mute and Bypass are the same as in the VST Instance List.

8. Menu Items

File menu

New : clears current project
Open : opens an Aodix v4 project file
Save (Ctrl + S) : saves project (Aodix file format)
Save as : saves project as... (Aodix v4 format).

Bounce : renders the project to one or several 32-bit float IEEE file.
Only Master Output pins that have at least one incoming wire will be rendered. It doesn't matter if they are blue or green.

Filename : type or browse for the filename of the file you're about to render.

Options :
- "Render Cue Range" : if set, renders the part of the project within the Start/End cues.
In all cases, it stops at the STOP Marker.
- "Multifile" : tick this option if you want the bouncing results to be stored in several
32-bit float IEEE mono-channel files. In this case, there will be one file for
each wired Master Output pin. Otherwise, the results will be stored in
one single 32-bit IEEE interleaved file.

The output format of the rendered file is Raw IEEE 32-bit float :
- resolution : 32-bit float
- endianness : none
- start position of audio data : 0
- rate : the one used when rendering
- number of channels : depends on "Multi-file" status and on pin wiring :
If "Multi-file Rendering" was not ticked, then the number of channels is the
number of Master Output pins that are wired.
If "Multi-file Rendering" was ticked, then the number of channels is 1 (but
you get several files).

Press Start to begin rendering, Stop to stop it at once.

Note 1 : when the Bounce dialog is open, Aodix releases the ASIO subsystem, until
the dialog is closed.

Note 2 : although Aodix uses all the available CPU power while rendering, the CPU load
displayed in the Audio Master section is what Aodix would use for real-time
calculations (i.e. when playing the song).

Note 3 : when rendering, no audio from the Master Input will be taken into account,
since rendering uses all available cpu in order to be faster than real-time,
while Master Inputs can only run real-time.

Import midi file : imports a midi file in two different ways
- Spread midi channels across multiple instances : "YES"
channel information will be imported and converted to instance ID. Used instances
will range beginning from currently selected instance. This is useful if you want to
use different plug-ins to reproduce the different channels.
- Spread midi channels across multiple instances :"NO"
channel information is kept. Used instance is only currently selected instance.

Midi import is processed according the the Midi Mask in Edit Section.

Configuration menu

User Name : Type your name here

ASIO Current Driver : select the proper ASIO driver
Sample rate : specify the sample rate of the project

VST Paths : displays and sets the folder roots (upto 4) in which all your VST plug-ins are installed
Aodix will seek in these roots and in their subfolders.

Keyboard Layout : sets your keyboard type : QUERTY, AZERTY or QUERTZ.
Instance to Master Autolink : if checked, Aodix will automatically wire the instances to the
Master Output when you load a VST.
Run in Fullscreen Mode : if checked, Aodix interface will use all the screen (needs restart).

Midi Input : list of all the Midi input devices available
Open Midi In Devices : check this box if you want Aodix to open these devices.
Override Channel messages : check this box if you want to force the incoming channel value to the one
specified in the Edit section
Override Note Velocity Messages : check this box if you wan to force the incoming velocity value to the one
specified in the Edit section.

Exit : exits Aodix.

Edit menu

Undo Clipboard Operation : undoing only last block operation (Cut, Copy, Paste).
Cut / Copy / Paste (Ctrl + X / C / V) : Cut, Copy and paste a block.
Select All (Ctrl + a) : selects all events in the pattern as a block.
Quantize Notes in block (Ctrl +Q) : rearranges all notes according to quantize setting.
Randomize Data in block (Ctrl+R) : randomizes the data corresponding to the byte where the cursor is.
Interpolate Data in block (Ctrl+I) : interpolates the data corresponding to the byte where the cursor is.
the block must be selected exactly between first and last event to
be taken into account. You need to select mark the block
with Ctrl+B and Ctrl+E and not with mouse.

Help menu

Contents : opens this help file
About : information about Arguru Software.
Arguru Software Website : link to the website


Shortcut List

Aodix v4 Quick Reference List

Audio Master and Edit :
 - F Keys : F1 : REC F2 : Aut F3 : Loop F4 : Live F5 : Stop-Wrap
F6 : Step F7 : Over F8 : Routing/Sequencer view
- Spacebar : Play / Stop.
 - Ctrl + 1/2 : set quantize to previous/next value
- Ctrl + 3/4 : set master channel to previous/next value
- Ctrl + 5/6 : set octave reference to previous/next value
- Ctrl + Mouse Wheel : change zoom

Sequencer Browsing:
 - arrows : browse sequencer (elementary)
- Ctrl + arrows up/down = position cursor exactly on previous/next event in track
- page up, page down : scroll page up and down
- Ctrl + page up/down : go to position 000:0/last event position in pattern
- Tab / Shift + Tab : move to next / previous track
- Ctrl + left/right arrows : browse 8 tracks left/right
- Home, End : move to Start/End Cues
- Double-click (not on object's right section) : set cursor at exact note header location
- Numpad + / - : pattern navigation next/previous pattern
- Enter on a patter call event header : go to the called pattern
- Ctrl + Enter : get back to the initial pattern

Pattern Arrangement:
 - Del : clear event
- Insert/Backspace : insert/delete event moving following events in track down/up
- Ctrl + Insert/Backspace : insert/delete line moving following events in pattern down/up
- Block operations (to select block, point mouse at left half of a track, draw rectangle or use
Ctrl + B/E)
- Ctrl + A : Select all events in the pattern as a block
- Ctrl + C/X/V : copy/cut/paste block
- Ctrl + F1/F2 : decrease/increase of 1 unit the byte where the cursor is located, for all the block
(transpose, -1/+1 velocity,...)
- Ctrl + Q : rearrange block by quantizing notes inside it
- Object operations (point at right half of an object)
- Click + drag object : move object
- Shift + click + drag object : move object, locking vertical moves
- Ctrl + click + drag object : move object, quantize-free
- Click at object's bottom + drag up/down = resize object (length)
- Double-click : delete object
- Ctrl + Home/End : set Start/End Cues
- Double-click in the left-most timeline column : create/delete marker
- Ctrl + double-click in the leftmost timeline column : create/delete STOP marker
- Special Commands :
- 1 : write a Jump event
- Enter : write a midi 0xC program change command (param1 = new program in hex)
- Parameter editing : every parameter of an event is editable.

Syntaxes:
 - Note Event syntax: NNN II 00 KK VV
NNN = note name; II = Instance number (hex); KK = key (hex); VV = velocity (hex)
- Automation Event syntax : Aut II NN NN VV
II = Instance number (hex); NN NN = VST Controller Number (hex); VV = value (hex)
- Pattern call syntax : Pat PP MM TT VV
PP = pattern (hex) MM = marker (hex) TT = transposing (0x80 = no transpose)
VV = velocity scaling (0x80 = no scaling, 0x40 = 50%... etc).

Changing values in boxes and knobs :
 - Click and Move mouse on value : change/select value
- Ctrl + Click and Move mouse on value : tweak value (slower and more accurate).

Routing Operations :
 - Double click in Routing view : load instance
- Click on instance object and press "Del" : unload instance
- Click on instance output pin and drag to input pin : draw wire
- Double-click on the arrow in the middle of the wire : delete wire
- Ctrl + click/double-click on instance output pin/wire arrow : draw/delete all wires of instance
- Click and drag on the arrow in the liddle of the wire : adjust wire gain
- Click on Master Input/Output pin : define audio device for the pin
- Ctrl + click on the slot of a used instance in the list : center routing view on instance

File Operation : Ctrl + S : Save project.


Troubleshooting

I get no audio : please read carefully the getting started section.

I still get no audio at all : make sure that there is no other Aodix running, and no other software using the same ASIO driver.

I changed my audio drivers and/or audio card, since then Aodix crashes at start : locate the configuration file "Aodix.cfg" and delete it. Open Aodix, configure it from scratch.

Aodix ignores my midi keyboard : make sure no other software is using it, and that you don't have two Aodixes running at the same time...

I try to record notes, but only very short events are recorded : if you are using offline modes, depending on what you are doing, check if Step in the Edit section in on. If you are using small Quantization values, check also that Pre-release is not approximately the same value as Quantize. Pre-Release should be quite smaller than Quantization value (in midi points) for regular offline operations.

I use mouse wheel to scroll up/down, and arrows, but it scrolls very slowly : you are probably using free quantization. Set to a value like 16th.

I have other problems : please browse to our website www.aodix.com and consult the Support section.